<?php
/**
 * 
 * @author Matthew Linton
 *
 */
class SGC_Admin_Players
{
    
    /**
     *
     */
    public function create_post_type_players() {
        $labels = array(
            'name' => 'Players',
            'singular_name' => 'Player',
            'add_new' => 'Add New Player',
            'add_new_item' => 'Add New Player',
            'edit_item' => 'Edit Player',
            'new_item' => 'New Player',
            'all_items' => 'All Players',
            'view_item' => 'View Players',
            'search_items' => 'Search Players',
            'not_found' =>  'No Players Found',
            'not_found_in_trash' => 'No Players found in Trash',
            'parent_item_colon' => '',
            'menu_name' => 'Players'
        );
        
        register_post_type( 'sgc_player', array(
            'labels' => $labels,
            'has_archive' => true,
            'public' => true,
            'show_in_rest' => true,
            'rest_base' => 'sgc_players',
            'supports' => array( 'title', 'thumbnail', 'editor', 'custom-fields'),
            'taxonomies' => array(''),
            'exclude_from_search' => false,
            'capability_type' => 'post',
            'rewrite' => array( 'slug' => 'sgc_players' ),
            'menu_icon' => 'dashicons-id-alt'
        ));
    }
    
    /**
     *
     */
    public function add_players_fields() {
        add_meta_box(
            'sgc_custom_player_fields',           // Unique ID
            __('Player Info'),  // Box title
            array('SGC_Admin_Players', 'players_fields_html'),
            'sgc_player',
            'side',
            'low'
            );
    }
    
    /**
     *
     */
    public function players_fields_html() {
        global $wpdb, $post;
        
        $default_team = get_option('sgc_defaultteam');
        
        $player_team = get_post_meta($post->ID, 'sgc_playerteam', true);
        $player_handicap = get_post_meta($post->ID, 'sgc_playerhandicap', true);
        $player_phone = get_post_meta($post->ID, 'sgc_playerphone', true);
        $player_email = get_post_meta($post->ID, 'sgc_playeremail', true);
        $player_website = get_post_meta($post->ID, 'sgc_playerwebsite', true);
        
        if (!$player_team || $player_team == '' ) {
            $player_team = $default_team;
        }
        
        // fetch team list
        $teams = get_posts(array(
            'post_type' => 'sgc_team',
            'post_status' => 'publish',
            'orderby'    => 'post_title',
            'sort_order' => 'asc',
            'posts_per_page' => -1
        ));
        
        include_once( plugin_dir_path( dirname( __FILE__ ) ) . 'admin/partials/sgc-admin-players.php' );
    }
    
    /**
     *
     */
    public function save_players_meta($post_id)
    {
        if (array_key_exists('sgc_playerteam', $_POST)) {
            update_post_meta(
                $post_id,
                'sgc_playerteam',
                $_POST['sgc_playerteam']
                );
        }
        if (array_key_exists('sgc_playerhandicap', $_POST)) {
            update_post_meta(
                $post_id,
                'sgc_playerhandicap',
                $_POST['sgc_playerhandicap']
                );
        }
        if (array_key_exists('sgc_playerphone', $_POST)) {
            update_post_meta(
                $post_id,
                'sgc_playerphone',
                $_POST['sgc_playerphone']
                );
        }
        if (array_key_exists('sgc_playeremail', $_POST)) {
            update_post_meta(
                $post_id,
                'sgc_playeremail',
                $_POST['sgc_playeremail']
                );
        }
        if (array_key_exists('sgc_playerwebsite', $_POST)) {
            update_post_meta(
                $post_id,
                'sgc_playerwebsite',
                $_POST['sgc_playerwebsite']
                );
        }
    }

}

