/**
 * Location custom post type javascript class
 */

class SGC_Location {
    
    constructor() {
        SGC_Location.course = [];
        SGC_Location.teecount = 0;
        
        SGC_Location.load_course();
        SGC_Location.display_tees();
    }
    
    static load_course() {
        if ( $('#sgc_locationcourse').text().trim() != '' ) {
            SGC_Location.course = JSON.parse($('#sgc_locationcourse').text());
            SGC_Location.teecount = SGC_Location.course.length + 1;
        }
    }
    
    /**
     * 
     */
    static save_course() {
        SGC_Location.reindex_tees();
        
        // Save the array to the form element
        if (SGC_Location.course.length > 0) {
            $('#sgc_locationcourse').text(JSON.stringify(SGC_Location.course));
        } else {
            $('#sgc_locationcourse').text('');
        }
    }
    
    /**
     * 
     */
    static display_tees() {
        // clear contianer
        $('#sgc_location_tees').html('<ul class="sgc_location_tee" id="sgc_location_teelist"></ul>');
                
        for ( var i = 0; i < SGC_Location.course.length; i++ ) {
            if ( SGC_Location.course[i].color != '' ) {
                $('#sgc_location_teelist').append('<li class="sgc_location_tee">'
                + '<a href="#TB_inline?width=600&height=550&inlineId=sgc_location_tee" class="thickbox" id="sgc_location_teeedit' 
                + SGC_Location.course[i].tid + '" name="Edit Tee" teeid="' + SGC_Location.course[i].tid + '">'
                + SGC_Location.course[i].color + '</a>'
                + ' (' + SGC_Location.course[i].diff + ')' + '</li>');
            } else {
                $('#sgc_location_teelist').append('<li class="sgc_location_tee">'
                + '<a href="#TB_inline?width=600&height=550&inlineId=sgc_location_tee" class="thickbox" id="sgc_location_teeedit' 
                + SGC_Location.course[i].tid + '" name="' + SGCtxt.txt_edittee + '" teeid="' + SGC_Location.course[i].tid + '">'
                + SGCtxt.txt_unknown + '</a></li>');
            }
            // Bind event
            $('#sgc_location_teeedit' + SGC_Location.course[i].tid ).click(SGC_Location.edit_tee);
        }
    }
    
    /**
     * 
     */
    add_tee() {
        SGC_Location.teecount++;
        
        // Add a blank tee to the array
        SGC_Location.course.push({
                'tid': SGC_Location.teecount,
                'color': '',
                'diff': '',
                'par': [],
                'range': []
            });
        
        // Set the Tee ID
        $('#sgc_teeid').val( SGC_Location.teecount );
        
        //clear tee color and difficulty
        $('#sgc_teecolor').val('');
        $('#sgc_teedificulty').val('');
        
        // clear the tee par fields
        $(document).find(':input').each(function () {
            if ($(this).attr('name') === 'sgc_teepar') {
                $(this).val('');
            }
        });
        
        //clear the tee range fields
        $(document).find(':input').each(function () {
            if ($(this).attr('name') === 'sgc_teelength') {
                $(this).val('');
            }
        });
    }
    
    /**
     * 
     */
    static edit_tee() {
        var teeid = $(this).attr('teeid');
        var teeidx = SGC_Location.get_teeidx( teeid );
        
        // Set the tee id
        $('#sgc_teeid').val( teeid );
        
        // set the tee color and difficulty info
        $('#sgc_teecolor').val( SGC_Location.course[teeidx].color );
        $('#sgc_teedificulty').val( SGC_Location.course[teeidx].diff );
        
        // load tee par
        var i = 0;
        $(document).find(':input').each(function () {
            if ($(this).attr('name') === 'sgc_teepar') {
                $(this).val(SGC_Location.course[teeidx].par[i]);
                i++;
            }
        });
        
        // load tee range
        var i = 0;
        $(document).find(':input').each(function () {
            if ($(this).attr('name') === 'sgc_teelength') {
                $(this).val(SGC_Location.course[teeidx].range[i]);
                i++;
            }
        });
    }
    
    /**
     * 
     */
    save_tee() {
        var teeid = $('#sgc_teeid').val();
        var teeidx = SGC_Location.get_teeidx(teeid);
        
        // add the tee color and difficulty info
        SGC_Location.course[teeidx].color = $('#sgc_teecolor').val();
        SGC_Location.course[teeidx].diff = $('#sgc_teedificulty').val();
        
        //build the tee par array
        SGC_Location.course[teeidx].par = [];
        $(document).find(':input').each(function () {
            if ($(this).attr('name') === 'sgc_teepar') {
                SGC_Location.course[teeidx].par.push($(this).val());
            }
        });
        
        // build the tee range array
        SGC_Location.course[teeidx].range = [];
        $(document).find(':input').each(function () {
            if ($(this).attr('name') === 'sgc_teelength') {
                SGC_Location.course[teeidx].range.push($(this).val());
            }
        });
        
        // Save the course array to the form element
        SGC_Location.save_course();
        SGC_Location.display_tees();
        
        // close the thickbox
        tb_remove();
        
        return false;
    }
    
    /**
     * 
     */
    del_tee() {
        var teeid = $('#sgc_teeid').val();
        
        for ( var i = 0; i < SGC_Location.course.length; i++ ) {
            if ( SGC_Location.course[i].tid == teeid ) {
                SGC_Location.course.splice(i, 1);
                SGC_Location.reindex_tees();
                SGC_Location.save_course();
                SGC_Location.display_tees();
            }
        }
        // close the thickbox
        tb_remove();
        
        return false;
    }
    
    /**
     * 
     */
    static reindex_tees() {
        for ( SGC_Location.teecount = 0; SGC_Location.teecount < SGC_Location.course.length; SGC_Location.teecount++) {
            SGC_Location.course[SGC_Location.teecount].tid = SGC_Location.teecount;
        }
    }
    
    /**
     * 
     */
    static get_teeidx( teeid ) {
        for ( var i = 0; i < SGC_Location.course.length; i++) {
            if ( SGC_Location.course[i].tid == teeid ) {
                break;
            }
        }
        return i;
    }
}