/**
 * Scorecard cutom post type javascript class
 */

class SGC_Scorecard {
	
	constructor() {	}
	
	/**
	 * sgc_load_scorecard - fill in the scorecard values from the scg_scorecardstrokes field
	 * @returns {undefined}
	 */
	load_scorecard() {
	    var counter = 0;

	    if ($('#sgc_scorecardstrokes').text() != '') {
	        var arr_strokes = JSON.parse($('#sgc_scorecardstrokes').text());

	        $(this).find(':input').each(function () {
	            if ($(this).attr('name') === 'sgc_scorecardhole') {
	                $(this).val(arr_strokes[counter]);
	                counter++;
	            }
	        });
	    }
	}
	
	/**
	 * Hook into the publish button to preform actions before the post is published
	 */
	publish_hook() {
		//Update post Title
	    var sel_event = $("#sgc_scorecardevent").find('option:selected').text();
	    var sel_eventdate = $("#sgc_scorecardevent").find('option:selected').attr('date');
	    var sel_player = $("#sgc_scorecardplayer").find('option:selected').text();
	    var arr_content = [];

	    $('#title').val(sel_event + ' - ' + sel_player + ' (' + sel_eventdate + ')');

	    // Fill sgc_scorecardstrokes with a JSON array of strokes
	    $('#sgc_scorecardstrokes').text('');
	    $('form').each(function () {
	        $(this).find(':input').each(function () {
	            if ($(this).attr('name') === 'sgc_scorecardhole') {
	                arr_content.push($(this).val());
	            }
	        });
	    });
	    $('#sgc_scorecardstrokes').text(JSON.stringify(arr_content));
	}
	
	/**
	 * When an event is selected, unlock the player field
	 * if nothing is selected, lock the player field
	 */
	event_list_change () {
            var child = $(this).attr('child_target');

	    if ($(this).find('option:selected').val() > 0) {
	        //Update Wordpress Title
	        var sel_event = $(this).find('option:selected').text();
	        var sel_child = $(child).find('option:selected').text();

	        // Clear list of players
	        $(child).empty()
	                .append('<option value="-1">' + SGCtxt.opt_selectplayer + '</option>');

	        // Populate list of players
	        if ($(this).val() > 0) {
	            $.getJSON(SGCtxt.url_site + '/wp-json/simplegolfclub/v1/event/players/' + $(this).val(), function (result) {
	                if (result) {
                            try {
                                result = JSON.parse(result);
                            } catch (e) {
                                console.log('not a valid json string');
                            }
	                    for (var i = 0; i < result.length; i++) {
	                        $(child).append('<option value="' + result[i].ID + '">' + result[i].name + '</option>');
	                    }
	                }
	            });
	        }

	        //enable child field
	        $(child).prop('disabled', false);
	        $(child).trigger('change');
	    } else {
	        // disable list of players
	        $(child).prop('disabled', true);
	        $(child).val('-1');
	        $(child).trigger('change');
	    }
	}
	
	/**
	 * When a player is selected, unlock the hole fields
	 * When a player is not selected, lock the hole fields
	 */
	player_list_change () {
            var parent = $(this).attr('parent_target');
	    var child = $(this).attr('child_target');

	    if ($(this).find('option:selected').val() > 0) {

	        // enable all inputs
	        $('form').each(function () {
	            $(this).find(':input').each(function () {
	                if ($(this).attr('name') === child) {
	                    $(this).prop('disabled', false);
	                    $(this).prop('placeholder', '0');
	                }
	            });
	        });
	    } else {
	        // disable all inputs
	        $('form').each(function () {
	            $(this).find(':input').each(function () {
	                if ($(this).attr('name') === child) {
	                    $(this).prop("disabled", true);
	                    $(this).prop('placeholder', '');
	                }
	            });
	        });
	    }
	}
}
