<?php

/**
 * Provide ui for entering in date/time
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */
?>

<?php add_thickbox(); ?> 

<input type="hidden" id="sgc_javascript" value="sgc_event">
<table class="formtable">
<tbody>
	<tr>
		<th><label for="sgc_eventdate"><?= __('Date') ?></label></th>
		<td><input type="text" name="sgc_eventdate" id="sgc_eventdate" placeholder="<?= __('Date...') ?>" value="<?php if($event_date) { echo $event_date; } ?>" />
			<script type="text/javascript">$("#sgc_eventdate").pickadate()</script></td>
	</tr>
	<tr>
		<th><label for="sgc_eventtime"><?= __('Time') ?></label></th>
		<td><input type="text" name="sgc_eventtime" id="sgc_eventtime" placeholder="<?= __('Time...') ?>" value="<?php if($event_time) { echo $event_time; } ?>" />
			<script type="text/javascript">$("#sgc_eventtime").pickatime({ min: [9,0], max: [20,0] })</script></td>
	</tr>
	<tr>
		<th><label for="sgc_eventteam"><?= __('Team') ?></label></th>
		<td> <select name="sgc_eventteam" id="sgc_eventteam">
            <option value="-1"><?= __('Select Team...') ?></option>
            <?php foreach ( $teams as $post ) : setup_postdata( $post ); ?>
            <option value="<?= the_ID() ?>" <?php selected($post->ID, $event_team); ?>><?= the_title() ?></option>
            <?php endforeach; ?>
        </select></td>
	</tr>
	<tr>
		<th><label for="sgc_eventlocation"><?= __('Location') ?></label></th>
		<td><select name="sgc_eventlocation" id="sgc_eventlocation">
            <option value="-1"><?= __('Select Location...') ?></option>
            <?php foreach ( $locations as $post ) : setup_postdata( $post );  ?>
            <option value="<?= the_ID() ?>" <?php selected($post->ID, $event_location); ?>><?= the_title() ?></option>
            <?php endforeach; ?>
        </select></td>
	</tr>
        <tr>
            <th><label for="sgc_eventtee"><?= __('Tee') ?></label></th>
            <td><select name="sgc_eventtee" id="sgc_eventtee">
            <option value="-1"><?= __('Any Tee') ?></option>
            <?php if ( $tees ) : foreach ( $tees as $tee ) :  ?>
            <option value="<?= $tee->color ?>" <?php selected($tee->color, $event_tee); ?>><?= $tee->color ?> (<?= $tee->diff ?>)</option>
            <?php endforeach; endif; ?>
                </select></td>
	</tr>
	<tr>
    	<th>&nbsp;</th>
    	<td>
            <a href="#TB_inline?width=600&height=550&inlineId=sgc_event_group_add" 
               class="thickbox button" id="sgc_managegroups" name="<?= __('Manage Groups') ?>">
                <?= __('Manage Groups') ?></a>
		</td>
	</tr>
	</tbody>
</table>

<div id="sgc_event_group_add" style="display:none;">
    <div class="container" style="padding: 6px">
        <div style="float: right"><a href="" class="button-primary thickbox" id="sgc_event_groupsave"><?= __('Save') ?></a></div>
        <a href="" class="button-secondary thickbox" id="sgc_event_groupadd" ><?= __('Add Group') ?></a>
        <div id="sgc_event_grouplist">
        
        </div>
    </div>
    <textarea name="sgc_eventcheckedin" id="sgc_eventcheckedin" style="display: none"><?= $event_checkedin ?></textarea>
    <textarea name="sgc_eventgroups" id="sgc_eventgroups" style="display: none"><?= $event_groups ?></textarea>
</div>
