<?php
/**
 * Provide ui for entering in date/time
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */
?>

<?php add_thickbox(); ?> 

<input type="hidden" id="sgc_javascript" value="sgc_location">
<table class="formtable">
    <tbody>
        <tr>
            <th><label for="sgc_locationpar"><?= __('Par') ?></label></th>
            <td><input type="text" name="sgc_locationpar" id="sgc_locationpar" value="<?= $location_par ?>" ></td>
        </tr>
        <tr>
            <th><label for="sgc_locationrating"><?= __('Rating') ?></label></th>
            <td><input type="text" name="sgc_locationrating" id="sgc_locationrating" value="<?= $location_rating ?>" ></td>
        </tr>
        <tr>
            <th><label for="sgc_locationslope"><?= __('Slope') ?></label></th>
            <td><input type="text" name="sgc_locationslope" id="sgc_locationslope" value="<?= $location_slope ?>" ></td>
        </tr>
        <tr>
            <th class="sgc_toptable"><label for="sgc_locationtee"><?= __('Tees') ?></label></th>
            <td>
                <div id="sgc_location_tees"></div>
                <div style="float: right">
                    <a href="#TB_inline?width=600&height=550&inlineId=sgc_location_tee" class="thickbox button"
                       id="sgc_location_teeadd" name="<?= __('Add Tee') ?>"><?= __('Add Tee') ?></a></div>

            </td>
        </tr>
    </tbody>
</table>

<div id="sgc_location_tee" style="display:none;">
    <div class="container" style="padding: 6px">
        <input type="hidden" name="sgc_teeid" id="sgc_teeid" value="-1">
        <input type="hidden" name="sgc_teeorder" id="sgc_teeorder" value="0">
        <div style="float: right">
            <a href="" class="sgc_delete" id="sgc_location_teedel"><?= __('Delete') ?></a>
            <a href="" class="button-primary thickbox" id="sgc_location_teesave"><?= __('Save') ?></a>
        </div>
        <div>
            <table>
                <tbody>
                    <tr>
                        <td><label for="sgc_teecolor"><?= __('Color') ?></label></td>
                        <td><input type="text" name="sgc_teecolor" id="sgc_teecolor"></td>
                    </tr>
                    <tr>
                        <td><label for="sgc_teedificulty"><?= __('Difficulty') ?></label></td>
                        <td><input type="text" name="sgc_teedificulty" id="sgc_teedificulty"></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="sgc_coursecontainer">
            <h4><?= __('Front Nine') ?></h4>
            <table class="sgc_coursetee">
                <tbody>
                    <tr>
                        <th class="sgc_coursetee"><?= __('Hole') ?></th>
                        <?php for ($i = 1; $i <= 9; $i++): ?>
                            <th class="sgc_coursetee"><?= $i ?></th>
                        <?php endfor; ?>
                    </tr>
                    <tr>
                        <th class="sgc_coursetee"><?= __('Par') ?></th>
                        <?php for ($i = 1; $i <= 9; $i++): ?>
                            <td class="sgc_coursetee"><input type="text" name="sgc_teepar" size="1"></td>
                        <?php endfor; ?>
                    </tr>
                    <tr>
                        <th class="sgc_coursetee"><?= __('Length') ?> (<?= $default_units ?>)</th>
                        <?php for ($i = 1; $i <= 9; $i++): ?>
                            <td class="sgc_coursetee"><input type="text" name="sgc_teelength" size="1"></td>
                        <?php endfor; ?>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="sgc_coursecontainer">
            <h4><?= __('Back Nine') ?></h4>
            <table class="sgc_coursetee">
                <tbody>
                    <tr>
                        <th class="sgc_coursetee"><?= __('Hole') ?></th>
                        <?php for ($i = 10; $i <= 18; $i++): ?>
                            <th class="sgc_coursetee"><?= $i ?></th>
                        <?php endfor; ?>
                    </tr>
                    <tr>
                        <th class="sgc_coursetee"><?= __('Par') ?></th>
                        <?php for ($i = 10; $i <= 18; $i++): ?>
                            <td class="sgc_coursetee"><input type="text" name="sgc_teepar" size="1"></td>
                        <?php endfor; ?>
                    </tr>
                    <tr>
                        <th class="sgc_coursetee"><?= __('Length') ?> (<?= $default_units ?>)</th>
                        <?php for ($i = 10; $i <= 18; $i++): ?>
                            <td class="sgc_coursetee"><input type="text" name="sgc_teelength" size="1"></td>
                        <?php endfor; ?>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <textarea name="sgc_locationcourse" id="sgc_locationcourse" style="display: none">
                        <?= $location_course ?></textarea>
</div>