<?php
/**
 * Provide ui for entering in date/time
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */
?>

<table class="formtable">
    <tbody>
        <tr>
            <th><label for="sgc_playerteam"><?= __('Team') ?></label></th>
            <td><select name="sgc_playerteam" id="sgc_playerteam">
                    <option value="-1"><?= __('Select Team...') ?></option>
                    <?php foreach ($teams as $post) : setup_postdata($post); ?>
                        <option value="<?= the_ID() ?>" <?php selected($post->ID, $player_team); ?>><?= the_title() ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
        </tr>
        <tr>
            <th><label for="sgc_playerhandicap"><?= __('Handicap') ?></label></th>
            <td><input type="text" name="sgc_playerhandicap" id="sgc_playerhandicap" value="<?= $player_handicap ?>" /></td>
        </tr>
        <tr>
            <th><label for="sgc_playerphone"><?= __('Phone') ?></label></th>
            <td><input type="text" name="sgc_playerphone" id="sgc_playerphone" value="<?= $player_phone ?>" /></td>
        </tr>
        <tr>
            <th><label for="sgc_playeremail"><?= __('Email') ?></label></th>
            <td><input type="text" name="sgc_playeremail" id="sgc_playeremail" value="<?= $player_email ?>"></td>
        </tr>
        <tr>
            <th><label for="sgc_playerwebsite"><?= __('Website') ?></label></th>
            <td><input type="text" name="sgc_playerwebsite" id="sgc_playerwebsite" value="<?= esc_url_raw($player_website) ?>"></td>
        </tr>

    </tbody>
</table>
