<?php
/**
 * Provide ui for entering in date/time
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */
?>

<input type="hidden" id="sgc_javascript" value="sgc_scorecard">
<table class="formtable">
    <tbody>
        <tr>
            <td> <select name="sgc_scorecardevent" id="sgc_scorecardevent" child_target="#sgc_scorecardplayer">
                    <option value="-1"><?= __('Select Event...') ?></option>
                    <?php foreach ($events as $post) : setup_postdata($post); ?>
                        <option value="<?= the_ID() ?>" date="<?= date("M d", strtotime(get_post_meta($post->ID, 'sgc_eventdate', true))) ?>" <?php selected($post->ID, $scorecard_event); ?>><?= the_title() ?></option>
                    <?php endforeach; ?>
                </select></td>
            <td> <select name="sgc_scorecardplayer" id="sgc_scorecardplayer" parent_target="#sgc_scorecardevent" child_target="sgc_scorecardhole" <?php if (!$scorecard_event || $scorecard_event < 0) { ?> disabled <?php } ?>>
                    <option value="-1"><?= __('Select Player...') ?></option>
                    <?php
                    if ($players) :
                        foreach ($players as $post) : setup_postdata($post);
                            ?>
                            <option value="<?= the_ID() ?>" <?php selected($post->ID, $scorecard_player); ?>><?= the_title() ?></option>
                        <?php
                        endforeach;
                    endif;
                    ?>
                </select></td>
        </tr>
    </tbody>
</table>

<table class="sgc_scorecard">
    <tbody>
        <tr>
            <th class="sgc_scorecard">
                <label for="sgc_scorecardhole"><?= __('Hole') ?></label></th>
                <?php for ($i = 1; $i <= 18; $i++): ?>
                <th class="sgc_scorecard"><?= $i ?></td>
<?php endfor; ?>
        </tr>
        <tr>
            <th class="sgc_scorecard">
                <label for="sgc_scorecardhole"><?= __('Strokes') ?></label></th>
<?php for ($i = 1; $i <= 18; $i++): ?>
                <td class="sgc_scorecard">
                    <input type="text" class="sgc_scorecard" name="sgc_scorecardhole" <?php if (!$scorecard_player || $scorecard_player < 0) { ?> disabled <?php } else { ?> placeholder="0" <?php } ?>>
                </td>
<?php endfor; ?>
        </tr>
    </tbody>
</table>
<textarea id="sgc_scorecardstrokes" name="sgc_scorecardstrokes" style="display: none"><?= $scorecard_strokes ?></textarea>

<table class="sgc_scorestats">
    <tbody class="sgc_scorestats">
        <tr>
            <td class="sgc_scorestats"><label for="sgc_scorecardgir" class="sgc_scorestats"><?= __('Greens in Regulation') ?></label></td>
            <td class="sgc_scorestats"><input type="text" class="sgc_scorecard" id="sgc_scorecardgir" name="sgc_scorecardgir" value="<?= $scorecard_greens ?>"></td>
            <td class="sgc_scorestats"><label for="sgc_scorecardfh" class="sgc_scorestats"><?= __('Fairways Hit') ?></label></td>
            <td class="sgc_scorestats"><input type="text" class="sgc_scorecard" id="sgc_scorecardfh" name="sgc_scorecardfh" value="<?= $scorecard_fairways ?>"></td>
            <td class="sgc_scorestats"><label for="sgc_scorecardputts" class="sgc_scorestats"><?= __('Putts') ?></label></td>
            <td class="sgc_scorestats"><input type="text" class="sgc_scorecard" id="sgc_scorecardputts" name="sgc_scorecardputts" value="<?= $scorecard_putts ?>"></td>
        </tr>
    </tbody>
</table>
