<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */
?>

<h1><?php echo esc_html(get_admin_page_title()); ?></h1>
<form method="post" action="options.php">
    <?php settings_fields($this->plugin_name . '_settings'); ?>
    <?php do_settings_sections($this->plugin_name . '_settings'); ?>
    <table class="form-table">
        <tr>
            <th><label for="sgc_defaultteam"><?= __('Default Team') ?></label></th>
            <td> <select name="sgc_defaultteam" id="sgc_defaultteam">
                    <option value="-1"></option>
                    <?php foreach ($teams as $post) : setup_postdata($post); ?>
                        <option value="<?= the_ID() ?>" <?php selected($post->ID, esc_attr(get_option('sgc_defaultteam'))); ?>><?= the_title() ?></option>
                    <?php endforeach; ?>
                </select></td>
        </tr>
        <tr>
            <th><label for="sgc_defaultlocation"><?= __('Default Location') ?></label></th>
            <td> <select name="sgc_defaultlocation" id="sgc_defaultlocation">
                    <option value="-1"></option>
                    <?php foreach ($locations as $post) : setup_postdata($post); ?>
                        <option value="<?= the_ID() ?>" <?php selected($post->ID, esc_attr(get_option('sgc_defaultlocation'))); ?>><?= the_title() ?></option>
                    <?php endforeach; ?>
                </select></td>
        </tr>
        <tr>
            <th><label for="sgc_defaultunits"><?= __('Default Units') ?></label></th>
            <td> <select name="sgc_defaultunits" id="sgc_defaultunits">
                    <option value="imperial" <?php selected('imperial', esc_attr(get_option('sgc_defaultunits'))); ?>><?= __('Imperial (ft/yd)'); ?></option>
                    <option value="metric" <?php selected('metric', esc_attr(get_option('sgc_defaultunits'))); ?>><?= __('Metric (cm/m)'); ?></option>
                </select></td>
        </tr>
    </table>

    <?php submit_button(); ?>
</form>
