/**
 * All the scripts needed for the events custom post type
 */

class SGC_EventCheckin {

    constructor(jQuery) {
        SGC_EventCheckin.$ = jQuery;

        SGC_EventCheckin.eventid = SGC_EventCheckin.$('#sgc_eventid').val();
        SGC_EventCheckin.players = [];
        SGC_EventCheckin.checkin = [];

        SGC_EventCheckin.get_checkin(SGC_EventCheckin.$);
    }

    /**
     * 
     */
    static display($) {
        // Clear the checkin list
        $('#sgc_eventcheckin').html('<h4>Check-In:</h4>'
                + '<table class="sgc_playertable">'
                + '<thead><tr><th>Un-Available</th><th>Available</th></tr></thead>'
                + '<tbody id="sgc_checkintable"></tbody></table>');

        // Populate the available players
        for (var i = 0; i < SGC_EventCheckin.players.length; i++) {
            // Check for matching player ID in checkedin list
            if (SGC_EventCheckin.isCheckedin(SGC_EventCheckin.players[i].ID)) {
                $('#sgc_checkintable').append('<tr>'
                        + '<td class="sgc_playertable">&nbsp;</td>'
                        + '<td class="sgc_playertable">'
                        + '<a href="" class="sgc_checkintable" id="sgc_checkintable_' + i + '" '
                        + 'player="' + SGC_EventCheckin.players[i].ID + '">'
                        + SGC_EventCheckin.players[i].post_title
                        + '</a></td></tr>');
            } else {
                $('#sgc_checkintable').append('<tr>'
                        + '<td class="sgc_playertable">'
                        + '<a href="" class="sgc_checkintable" id="sgc_checkintable_' + i + '" '
                        + 'player="' + SGC_EventCheckin.players[i].ID + '">'
                        + SGC_EventCheckin.players[i].post_title
                        + '</td><td class="sgc_playertable">&nbsp;</td></tr>');
            }

            // Attach click event
            $('#sgc_checkintable_' + i).click(SGC_EventCheckin.toggleCheckedin);
        }
    }

    /**
     * 
     */
    static isCheckedin(playerid) {
        var isAvailable = false;

        for (var i = 0; i < SGC_EventCheckin.checkin.length; i++) {
            if (SGC_EventCheckin.checkin[i] == playerid) {
                isAvailable = true;
            }
        }
        return isAvailable;
    }

    /**
     * 
     */
    static toggleCheckedin( ) {
        var playerid = SGC_EventCheckin.$(this).attr('player');
        var checkedin = false;

        for (var i = 0; i < SGC_EventCheckin.checkin.length; i++) {
            if (SGC_EventCheckin.checkin[i] == playerid) {
                // Delete the playerid from checkin
                SGC_EventCheckin.checkin.splice(i, 1);
                checkedin = true;
            }
        }

        if (checkedin == false) {
            // append theis playerid to checkedin
            SGC_EventCheckin.checkin.push(playerid);
        }

        // update the checkin table
        SGC_EventCheckin.display(SGC_EventCheckin.$);

        // Update the list of checkedin players
        SGC_EventCheckin.$.getJSON(
                SGC.siteurl + '/wp-json/simplegolfclub/v1/event/checkin/' + SGC_EventCheckin.eventid + '/' + playerid);

        return false;
    }

    /**
     * 
     * @param {type} $
     * @returns {undefined}
     */
    static get_checkin($) {
        // fetch checkin JSON array from REST
        $.getJSON(SGC.siteurl + '/wp-json/simplegolfclub/v1/event/checkin/' + SGC_EventCheckin.eventid, function (result) {
            if (result != 'null' && result != null) {
                try {
                    SGC_EventCheckin.checkin = JSON.parse(result);
                } catch (e) {
                    console.log('not a valid json string');
                }
            }
        }).done(function () {
            if (SGC_EventCheckin.checkin != null && SGC_EventCheckin.checkin.length > 0) {
                SGC_EventCheckin.display($);
            }
        });

        // fetch players JSON array from REST
        $.getJSON(SGC.siteurl + '/wp-json/simplegolfclub/v1/event/players/' + SGC_EventCheckin.eventid, function (result) {
            if (result != 'null' && result != null) {
                try {
                    SGC_EventCheckin.players = JSON.parse(result);
                } catch (e) {
                    console.log('not a valid json string');
                }
            }
        }).done(function () {
            if (SGC_EventCheckin.players != null && SGC_EventCheckin.players.length > 0) {
                SGC_EventCheckin.display($);
            }
        });
    }

}
